org.deidentifier.arx.aggregates.classification

## Class ClassificationMethod

- java.lang.Object
- - org.deidentifier.arx.aggregates.classification.ClassificationMethod

Direct Known Subclasses:
  MultiClassLogisticRegression, MultiClassNaiveBayes, MultiClassRandomForest, MultiClassZeroR

    public abstract class ClassificationMethod
    extends java.lang.Object

Implements a classifier

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ClassificationMethod(WrappedBoolean interrupt)` Creates a new instance

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract ClassificationResult` `classify(DataHandleInternal handle, int row)` Classify
`abstract void` `close()` Close
`abstract void` `train(DataHandleInternal features, DataHandleInternal clazz, int row)` Train

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassificationMethod

    public ClassificationMethod(WrappedBoolean interrupt)

Creates a new instance

Parameters:
  `interrupt` -

### Method Detail

#### classify

    public abstract ClassificationResult classify(DataHandleInternal handle,
                                                  int row)

Classify

Parameters:
  `handle` -
  `row` -
Returns:

#### close

    public abstract void close()

Close

#### train

    public abstract void train(DataHandleInternal features,
                               DataHandleInternal clazz,
                               int row)

Train

Parameters:
  `features` -
  `clazz` -
  `row` -